import Vue, { VueConstructor } from 'vue';
import { Translations, Translator, TranslatorOptions } from './translator';
declare module 'vue/types/options' {
    interface ComponentOptions<V extends Vue> {
        translator?: Translations;
    }
}
declare module 'vue/types/vue' {
    interface Vue {
        $t: Translator;
    }
    interface VueConstructor {
        translator: Translator;
        util: {
            defineReactive: (obj: object, key: string, val: unknown) => void;
            warn: (msg: string) => void;
        };
    }
}
export * from './translator';
export declare type VueTranslatorOptions = TranslatorOptions & {
    filter?: boolean | string;
    merge?: (prev: Translations, next: Translations) => Translations;
};
declare const VueTranslator: ($Vue: VueConstructor, options: string | VueTranslatorOptions) => void;
export default VueTranslator;
export declare const install: ($Vue: VueConstructor, options: string | VueTranslatorOptions) => void;
